declare const _default: {
    QUERY: {
        SUMMARY: string;
        DESCRIPTION: string;
        RESOURCES: {
            PROGRAM: {
                DESCRIPTION: string;
                POSITIONALS: {
                    NAME: string;
                };
                OPTIONS: {
                    ATTRIBUTES: string;
                    STATUS: string;
                    ROUTE: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                    EX6: string;
                };
            };
            REGION: {
                DESCRIPTION: string;
                POSITIONALS: {};
                OPTIONS: {
                    DC: string;
                    REGION: string;
                    ROUTE: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                };
            };
            TRANSACTION: {
                DESCRIPTION: string;
                POSITIONALS: {
                    NAME: string;
                };
                OPTIONS: {
                    ATTRIBUTES: string;
                    STATUS: string;
                    ROUTE: string;
                    CLASS: string;
                    QCNTCOMP: string;
                    QCNTVAL: string;
                    CONV: string;
                    FP: string;
                    REMOTE: string;
                    RESP: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                    EX6: string;
                };
            };
        };
    };
    START: {
        SUMMARY: string;
        DESCRIPTION: string;
        RESOURCES: {
            PROGRAM: {
                DESCRIPTION: string;
                POSITIONALS: {
                    NAME: string;
                };
                OPTIONS: {
                    ATTRIBUTES: string;
                    ROUTE: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                };
            };
            REGION: {
                DESCRIPTION: string;
                POSITIONALS: {
                    MEMBERNAME: string;
                };
                OPTIONS: {
                    LOCAL: string;
                    JOBNAME: string;
                    ROUTE: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                };
            };
            TRANSACTION: {
                DESCRIPTION: string;
                POSITIONALS: {
                    NAME: string;
                };
                OPTIONS: {
                    ATTRIBUTES: string;
                    ROUTE: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                };
            };
        };
    };
    STOP: {
        SUMMARY: string;
        DESCRIPTION: string;
        RESOURCES: {
            PROGRAM: {
                DESCRIPTION: string;
                POSITIONALS: {
                    NAME: string;
                };
                OPTIONS: {
                    ATTRIBUTES: string;
                    ROUTE: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                };
            };
            REGION: {
                DESCRIPTION: string;
                POSITIONALS: {};
                OPTIONS: {
                    JOBNAME: string;
                    REGIONIDS: string;
                    ABDUMP: string;
                    TRANSACTION: string;
                    CANCEL: string;
                    ROUTE: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                };
            };
            TRANSACTION: {
                DESCRIPTION: string;
                POSITIONALS: {
                    NAME: string;
                };
                OPTIONS: {
                    ATTRIBUTES: string;
                    ROUTE: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                };
            };
        };
    };
    UPDATE: {
        SUMMARY: string;
        DESCRIPTION: string;
        RESOURCES: {
            PROGRAM: {
                DESCRIPTION: string;
                POSITIONALS: {
                    NAME: string;
                };
                OPTIONS: {
                    BMPTYPE: string;
                    DOPT: string;
                    FP: string;
                    GPSB: string;
                    LANG: string;
                    LOCK: string;
                    OPTION: string;
                    RESIDENT: string;
                    ROUTE: string;
                    SCHDTYPE: string;
                    TRANSTAT: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                };
            };
            TRANSACTION: {
                DESCRIPTION: string;
                POSITIONALS: {
                    NAME: string;
                };
                OPTIONS: {
                    AOCMD: string;
                    CLASS: string;
                    CMTMODE: string;
                    CONV: string;
                    CPRI: string;
                    DCLWA: string;
                    DIRROUTE: string;
                    EDITRTN: string;
                    EDITUC: string;
                    EMHBSZ: string;
                    EXPRTIME: string;
                    FP: string;
                    INQ: string;
                    LCT: string;
                    LOCK: string;
                    LPRI: string;
                    MAXRGN: string;
                    MSGTYPE: string;
                    MSNAME: string;
                    NPRI: string;
                    OPTION: string;
                    PARLIM: string;
                    PGM: string;
                    PLCT: string;
                    PLCTTIME: string;
                    RECOVER: string;
                    REMOTE: string;
                    RESP: string;
                    ROUTE: string;
                    SCOPE: string;
                    SEGNO: string;
                    SEGSZ: string;
                    SERIAL: string;
                    SETCLASS: string;
                    SIDL: string;
                    SIDR: string;
                    SPASZ: string;
                    SPATRUNC: string;
                    TRANSTAT: string;
                    WFI: string;
                };
                MESSAGES: {
                    SUCCESS: string;
                };
                EXAMPLES: {
                    EX1: string;
                    EX2: string;
                    EX3: string;
                    EX4: string;
                    EX5: string;
                };
            };
        };
    };
};
export default _default;
