"use strict";
/**
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
const Program_definition_1 = require("./program/Program.definition");
const CicsSession_1 = require("../CicsSession");
// Does not use the import in anticipation of some internationalization work to be done later.
const strings = require("../-strings-/en").default.REFRESH;
/**
 * Definition for the "refresh" group of commands under the CICS plugin
 */
const definition = {
    name: "refresh",
    aliases: ["ref"],
    summary: strings.SUMMARY,
    description: strings.DESCRIPTION,
    type: "group",
    children: [Program_definition_1.ProgramDefinition],
    passOn: [
        {
            property: "options",
            value: CicsSession_1.CicsSession.CICS_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [{ type: "group" }],
        },
    ],
};
module.exports = definition;
//# sourceMappingURL=Refresh.definition.js.map